:host {
    position: absolute;
    top: 1rem;
    right: 1rem;

    > button.close {
        all: unset;
        cursor: pointer;
        height: 2.5rem;
        width: 2.5rem;
        opacity: 0.5;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32' height='32' viewBox='0 0 24 24' fill='none' stroke='%232a5686' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-x'%3E%3Cline x1='18' y1='6' x2='6' y2='18'/%3E%3Cline x1='6' y1='6' x2='18' y2='18'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: center;
        transition: opacity 0.1s ease;
        display: flex;
        align-items: center;
        justify-content: center;

        &:hover {
            opacity: 1;

            &:after {
                margin-top: 3rem;
                content: "sluiten";
                color: var(--vil-primary);
            }
        }
    }
}

.popup-container {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(
        90deg,
        rgba(100, 100, 100, 0.2) 0%,
        rgba(100, 100, 100, 0.1) 95%,
        rgba(255, 255, 255, 0) 100%
    );
    display: flex;
    align-items: center;
    justify-content: center;

    > .popup {
        width: 50vw;
        background-color: #fff;
        padding: 2rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;

        button {
            width: 7rem;
            padding: 1rem;
            background-image: none;
        }
    }
}
